compile python 3.3 with bz2 support on RedHat 5.5

Chris Angelico rosuav at gmail.com
Fri Dec 21 15:07:00 CET 2012


On Fri, Dec 21, 2012 at 5:35 PM, Isml <76069016 at qq.com> wrote:
> By the way, RedHat 5.5 has a built-in python 2.4.3. Would it be a problem?

You may want to consider using 'make altinstall' rather than 'make
install'. That way, you don't stomp all over the system Python (so
system scripts that expect 2.4 will still work), but you can type
'python3' to invoke your newly-built one.

ChrisA



More information about the Python-list mailing list